Skip to content
Navigation
PATCH/users/{principalId}

Update a portal user

Update a portal user's profile and attributes. User attributes must be configured in Settings > User Attributes before they can be set.

Parameters

NameInTypeDescription
principalIdrequiredpathstringPrincipal ID

Request body

FieldTypeDescription
namestringDisplay name
imagestring | nullProfile image URL
emailVerifiedbooleanEmail verification status
externalIdstringnullYour system's user ID (null to unset)
attributesobjectUser attributes (must be configured in Settings > User Attributes)

Response

Updated portal user

FieldTypeDescription
principalIdrequiredstringPrincipal ID
userIdrequiredstringUser ID
namerequiredstring
emailrequiredstring
imagerequiredstringnullProfile image URL
emailVerifiedrequiredbooleanWhether email is verified
externalIdrequiredstringnullCustomer-provided external user ID
attributesrequiredobjectUser attributes (must be configured in Settings > User Attributes)
createdAtrequiredstringAccount creation date

Errors

400Validation error (invalid attributes)
401Unauthorized
404Portal user not found

Example request

curl \
  -X PATCH \
  "https://feedback.quackback.io/api/v1/users/:principalId" \
  -H "Authorization: Bearer qb_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "example_name",
  "emailVerified": false
}'